<script setup lang="ts">
const loadingStore = useLoadingStore();

const { about, works, educations, projects, side_projects } = useContent();
const { useMeta, useImg } = useResume();
useMeta({
  title: "Welcome | It's me Irfan",
  description: 'My 5+ years of experience building web applications with PHP, JS, Laravel, Drupal, Vue, Nuxt, and Strapi make me a strong candidate for this senior web developer role',
  ogUrl: "https://www.hardiyanto.space/",
  ogImage: useImg('/images/logo.png'),
})

const profile = reactive({
  name: "Irfan Hardiyanto",
  title: "Senior Web Developer",
  current: "Web Developer Associate at TIX ID",
  // current: "Seeking New Opportunities", 
  location: "Bandung, Indonesia",
})
</script>

<template>
  <div class="relative w-full">
    <div class="fixed md:absolute z-20 md:-left-[15%] -bottom-[65%] right-6 md:right-auto md:bottom-auto h-full">
      <SideMenu class="md:sticky top-8 z-20" />
    </div>
    
    <Card class="border-0 shadow-none">
      <CardHeader class="py-6 px-0">
        <div class="flex gap-x-4 items-start">
          <div class="relative">
            <Avatar class="size-20">
              <AvatarImage src="/images/aing.jpg" alt="@unovue" />
              <AvatarFallback>Author</AvatarFallback>
            </Avatar>
          </div>
          <div class="relative my-2 w-full">
            <CardTitle>{{ profile.name }}</CardTitle>
            <CardDescription class="mr-8 md:mr-0">{{ `${profile.title} in ${profile.location}` }}</CardDescription>
            <Badge class="mt-2 rounded-full">Web Developer Associate at TIX ID</Badge>

            <Darkmode class="absolute top-0 right-0 size-10" />
          </div>
        </div>
      </CardHeader>
    </Card>

    <Accordion class="border rounded-md px-4" type="single" collapsible default-value="item-work">

      <AccordionItem value="item-about">
        <AccordionTrigger><h3 v-text="$t('about_title')" class="mb-1" /></AccordionTrigger>
        <AccordionContent>
          <About :item="about()" />
        </AccordionContent>
      </AccordionItem>

      <AccordionItem value="item-project" v-if="projects().length">
        <AccordionTrigger><h3 v-text="$t('project_title')" class="mb-1" /></AccordionTrigger>
        <AccordionContent>
          <Projects :items="projects()" />
        </AccordionContent>
      </AccordionItem>

      <AccordionItem value="item-side-project" v-if="side_projects().length">
        <AccordionTrigger><h3 v-text="$t('side_project_title')" class="mb-1" /></AccordionTrigger>
        <AccordionContent>
          <SideProjects :items="side_projects()" />
        </AccordionContent>
      </AccordionItem>

      <AccordionItem value="item-work" v-if="works().length">
        <AccordionTrigger><h3 v-text="$t('work_title')" class="mb-1" /></AccordionTrigger>
        <AccordionContent>
          <WorkExperience :items="works()" />
        </AccordionContent>
      </AccordionItem>

      <AccordionItem value="item-education" v-if="educations().length">
        <AccordionTrigger><h3 v-text="$t('education_title')" class="mb-1" /></AccordionTrigger>
        <AccordionContent>
          <Education :items="educations()" />
        </AccordionContent>
      </AccordionItem>

    </Accordion>

  </div>
</template>
